Karia
ReferencesOpenapiOrigination

Calculate novated vehicle pricing

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-novated-vehicle

Calculate novated vehicle pricing for the specified quote using the supplied calculation basis and starting value.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
dealId*string
quoteId*string
application/json
  1. body
calculationBasis*string
Value in"drive_away_price""net_vehicle_cost"
startingValue*string
Match^\d+(\.\d{1,2})?$
pricingOptions?
nonDealerOptions?

Response Body

Successful response

application/json
  1. response
vehiclePrice*
nonDealerOptions*
Default
{  "exGstAmount": "0.00",  "gstAmount": "0.00",  "incGstAmount": "0.00"}
dealerFees?
stampDuty*
initialRegistration*
luxuryCarTax*
totalStatutoryCosts?string
gstClaimed?string
calculatedDriveAwayPrice?string
totalVehicleAmountFinanced*string
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-novated-vehicle' \  -H 'Content-Type: application/json' \  -d '{  "calculationBasis": "drive_away_price",  "startingValue": "string"}'
Example Response
{  "vehiclePrice": {    "exGstAmount": "string",    "gstAmount": "string",    "incGstAmount": "string"  },  "nonDealerOptions": {    "exGstAmount": "0.00",    "gstAmount": "0.00",    "incGstAmount": "0.00"  },  "dealerFees": {    "exGstAmount": "string",    "gstAmount": "string",    "incGstAmount": "string"  },  "stampDuty": {    "amount": "string",    "defaultValue": "2000.00"  },  "initialRegistration": {    "amount": "string",    "defaultValue": "3500.00"  },  "luxuryCarTax": {    "amount": "string",    "estimatedValue": "2000.00"  },  "totalStatutoryCosts": "string",  "gstClaimed": "string",  "calculatedDriveAwayPrice": "string",  "totalVehicleAmountFinanced": "string"}